Bug 855963 - [RFE] USB Filter Editor missing many recent USB devices.
[RFE] USB Filter Editor missing many recent USB devices.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Scott Herold
Shai Revivo
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 15:00 EDT by Paul Vine
Modified: 2017-07-05 04:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-05 04:54:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Spice
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Vine 2012-09-10 15:00:24 EDT
Description of problem:
USB Filter Editor missing numerous recently added USB devices. If an admin would like to include these in a filter they would need to manually add them to the filter file but the syntax for the file is not documented.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.Call up the filter editor and look for a new USB device like the Canon Pixma MG5220. It does not exist.
2.
3.
  
Actual results:
No entry exists for many recent USB devices.

Expected results:
Entries for most all existing USB devices.

Additional info:
Would be nice to see this running on RHEL and not Windows.
Comment 1 Yaniv Kaul 2012-09-10 15:23:09 EDT
Moving to the closet component in Spice - I doubt this has anything to do with RHEVM installation.
Also, flags are missing.
Lastly, I'm not sure if this is a bug or a RFE.
Comment 2 David Blechter 2012-09-12 09:40:00 EDT
(In reply to comment #1)
> Moving to the closet component in Spice - I doubt this has anything to do
> with RHEVM installation.
> Also, flags are missing.
> Lastly, I'm not sure if this is a bug or a RFE.

I see a bug and RFE:
1. Bug: "USB Filter Editor does not have EDIT capability", so the reporter can't add new devices. It has to be addressed to the current owner of this application.
Spice does not own this application, we don't even know where the sources are.

2. RFE: Re-design the application to run on RHEL. It is user oriented application and I think it must be included into the rhevm tools. Regardless of who will own it, it is not for rhevm 3.1
Comment 4 David Blechter 2012-11-21 13:05:08 EST
it is not spice component, so let's define first the correct component. Yes, spice is using some of the data, butit is "management attribute".
Comment 6 Itamar Heim 2013-06-02 03:53:24 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 7 Paul Vine 2013-06-03 07:50:10 EDT
Issue still relevant. Importance is up to PM.

Note You need to log in before you can comment on or make changes to this bug.